// pages/addinput/addinput.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    formData: [
      { label: "姓名", name: "name", value: "", errmsg: "姓名不能为空！", require: true, placeholder: "请输入姓名" },
      { label: "姓别", name: "sex", type: "radio", value: 0, arr: [{ type: "男", value: 0 }, { type: "女", value: 1 }] },
      { label: "收货地址", name: "address", type: "address", value: "", require: true, rule: "address" },
      { label: "默认状态", name: "lock", type: "checkbox", value: false }
    ],
  },
  // 挑选地址
  choose () {
    this.setData({ show: false })
  },
  // 默认
  onChange (e) {
    let { updata } = this.data;
    updata["lock"] = e.detail;
    this.setData({
      updata
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let { data } = options;
    if (!!data) {
      data = JSON.parse(data);
      console.log(data)
      // this.setData({
      //   ...data
      // })
    }
    wx.lxd.Ctr({
      // nav
      title: !!data ? "修改" : "新增", //标题
      back: true,//返回按钮，tabber必须false（除非会改）
    })
    wx.lxd.Form({
      Success (data) {
        console.log("1", data)
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

})