// pages/pay/pay.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    loadding: false,//正在支付中 true
    disabled: false,//支付完毕 true
    message: '',//订单备注
    paytype: "1",// 支付方式
  },
  // 提交支付
  onSubmit () {
    this.setData({ loadding: true })
    setTimeout(() => {
      this.setData({ loadding: false, disabled: true })
    }, 3000)
  },
  // 挑选地址
  ChooseAddress () {
    wx.navigateTo({
      url: `/pages/adddata/adddata?data=${JSON.stringify({ source: 'pay' })}`,
    })
  },
  // 支付方式改变
  onChange (e) {
    let { detail } = e;
    this.setData({ paytype: detail })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.lxd.Ctr({
      // nav
      title: "支付", //标题
      bgc: false,//使用更改后的颜色;配合json使用
    })
    let { data } = options;
    console.log(data)
    if (!!data) {
      data = JSON.parse(data);
      this.setData({
        ...data
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let { useraddress } = app.globalData;
    this.setData({ useraddress })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
})